Upgrade auf ElkArte Forum Version 1.1 RC1 noch nicht empfehlenswert

Upgrade auf ElkArte Forum Version 1.1 RC1 noch nicht empfehlenswert

Hallo lieber Blogleser! Heute machte ich ein ElkArte-Forum Upgrade von der Version 1.0.10 auf 1.1 RC 1 und meine Erfahrungen waren sehr gemischt. Das Upgrade funktionierte nur halbwegs und im Endeffekt waren etliche Addons nicht kompatibel, sodass mein ElkArte-Forum an alten Funktionen einbüssen musste.

In den Github-Erscheinungen des ElkArte-Forums unter https://github.com/elkarte/Elkarte/releases kannst du die letzte ElkArte-Version herunterladen. Das Upgrade ging ganz gut, aber nicht alles zu 100 Prozent korrekt. Die Datenbank wurde in der Upgrade-Routine, im Browser unter /install/upgrade.php, aktualisiert. Doch gleich danach ging es nicht mehr weiter. Das Board wird in den Wartungsmodus versetzt und kann trotz dem Deaktivieren des Wartungsmodus im Vorfeld nicht angesurft werden.

Den Wartungsmodus kannst du wieder in der sich im Rootverzeichnis befindlichen Datei Settings.php wieder herausnehmen. Dort schaut es im PHP-Code an der dafür vorgesehenen Stelle dermassen aus.

/**
 * The maintenance "mode"
 * Set to 1 to enable Maintenance Mode, 2 to make the forum untouchable. (you'll have to make it 0 again manually!)
 * 0 is default and disables maintenance mode.
 * @var int 0, 1, 2
 * @global int $maintenance
 */
$maintenance = '0';
/**

Siehst du die Stelle mit “maintenance” und dort nimmst du die Ziffer “0” und setzt es dahin. Dann kannst du das ElkArte-Board nach dem zur Hälfte gelungenen Update ansurfen. Aber Fehlermeldungen gab es lediglich beim Aufrufen eines Topics im Forum. Der Fehler kam aus einem Template und hatte etwas mit Mails zu tun. Ich habe dann das jeweilige Template aus der ElkArte-Version 1.0.10 genommen und konnte mir so aushelfen.

Auf Github ist mein Issue bereits unter https://github.com/elkarte/Elkarte/issues/2970 online, sodass sich darum bei Zeiten gekümmert wird. Ich denke schon noch, dass es ein Bug ist, denn sonst wäre ja alles OK damit. Aber gut, meckern werde ich nicht grossartig, weil es noch rege an ElkArte 1.1 entwickelt wird.

Addons-Kompatibilität

Diese ist nur bedingt vorhanden. Solche Addons wie SimplePortal oder Adsense funktionieren nicht mehr. Auch das gute Impressum-Addon mit der Datenschutzerklärung ist im Backend zwar geblieben, weil es in den Templates mit Code vorhanden ist, aber die Funktion ist nicht mehr gegeben. Da muss ich nun darauf warten, bis die Finalversion von ElkArte erschienen ist und alle Addons nach und nach angepasst wurden. Ok, kein Thema wegen der Geduld 😉

Themes-Kompatibilität

Diese scheint vorhanden zu sein, wie ich es heute sichten konnte. Du kannst dein Forum aber auch beim Default-Theme belassen, denn schlecht schaut es ja nicht aus oder…wie du es dir bei mir unter http://elkarteforum.wpzweinull.ch mal anschauen kannst.

Das Beposten des Forums nach dem Upgrade konnte ich noch nicht auschecken, werde es aber demnächst noch tun. Ich vermute mal, dass das funktionieren wird.

Kennst du solche ElkArte-Addons wie FontAwesome-Icons und eMojis? Sie gibt es unter http://addons.elkarte.net/ und diese sind mit ElkArte 1.1 RC1 kompatibel. Heute konnte ich sie erfolgreich hinzufügen, somit installieren.

Beachte noch, dass einige Demo-Sites im Verzeichnis mit Addons und Themes nicht mehr erreichbar und somit tot sind. Das kann durchaus passieren, wenn die jeweiligen Demo-Ansichtsquellen nicht mehr zur Verfügung stehen. Da frage ich mich dann nur noch, ob der Support dieser Erweiterungen noch funktionsfähig ist. Das wäre für die ElkArte-Nutzer von Relevanz. Demo kann ich mir dann direkt im eigenen Board live ansehen.

Features bei ElkArte 1.1 RC 1

So genau weiss ich es nicht, aber das lässt sich unter http://www.elkarte.net/community/index.php?topic=4428.0 nachsehen. Ich erfahre dort eben, dass das Release Candidate 1 der letzte Entwicklungsschritt vor der stabilen Finalversion sein sollte. OK, gut, es funktioniert ja im Forum in der neuen Version denke mal alles. Alle Optionen habe ich noch nicht überprüft. Vom Ansurfen des Boards her geht alles, soweit so gut.

Etliche Commits wanderten in diese ElkArte-Erscheinung und auch gut so, gut für die Nutzerschaft dieses OpenSource Forum Tools.

#ElkArte #Forum #Upgrade auf die Version 1.1 RC1 zwar gelungen, aber Addons nicht kompatibel. Klick um zu Tweeten

Was sollte demnächst kommen?

Ich tippe mal darauf, dass die Addons und Themes kompatibel gemacht werden oder es sollen. Da ist noch etwas Arbeit auf dem Plan. Alles andere wird beim Testen der einzelnen Nutzer herausgefunden. Bugs und Fehlermeldungen kannst du jederzeit auf Github unter https://github.com/elkarte melden. Dort gibt es den Issue-Tracker, welcher immer als eine Art Community für Bugsmeldungen genutzt wird.

Das wären meine News und kürzliche Erfahrungen mit ElkArte 1.1 RC 1 und auf die stabile Finalversion freue ich mich zur Zeit am meisten.

Wichtiger Hinweis: Nach mehreren Stunden des Ausprobierens und des Testens komme ich zum Entschluss, dass es sich nicht lohnen wird, auf die neue Version ein Upgrade zu machen. Die Zusammenarbeit mit den alten Addons ist nicht gewährleistet, sodass es das Board durchaus kaputt machen kann. Ich probierte auch einiges bei mir und musste schlussendlich alles wieder aus Backups wiederherstellen. Daher lasse bitte dieses Update noch links liegen, es sei denn, du willst eine Neuinstallation mit der neuen Version machen. Dann sollte das gehen. 
Gerne lese ich auch etwas zu deinen Upgrade-Erfahrungen bzw. deinen allgemeinen Erfahrungen zu ElkArte Forum Software.

by Alexander Liebrecht

Leave a reply

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.

This Blog will give regular Commentators DoFollow Status. Implemented from IT Blögg